Source: libdbix-class-toposort-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Mason James <mtj@kohaaloha.com>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libdbd-sqlite3-perl <!nocheck>,
                     libdbix-class-perl <!nocheck>,
                     libgraph-perl <!nocheck>,
                     libjson-any-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     libmodule-install-perl,
                     libtest-dbix-class-perl <!nocheck>,
                     libtest-deep-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libyaml-libyaml-perl <!nocheck>,
                     perl:native
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbix-class-toposort-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbix-class-toposort-perl.git
Homepage: https://metacpan.org/release/DBIx-Class-TopoSort
Rules-Requires-Root: no

Package: libdbix-class-toposort-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libgraph-perl,
         libjson-any-perl
Description: topological sorting functionality to DBIx::Class
 DBIx::Class::TopoSort adds a method to DBIx::Class::Schema which returns the
 full list of sources (similar to "sources" in DBIx::Class::Schema) in
 topological-sorted order.
 .
 A topological sort of the tables returns the list of tables such that any table
 with a foreign key relationship appears after any table it has a foreign key
 relationship to.
